curl --request GET \
--url https://api.extole.io/v5/persons/{person_id}/shares \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v5/persons/{person_id}/shares"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v5/persons/{person_id}/shares', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.extole.io/v5/persons/{person_id}/shares",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.extole.io/v5/persons/{person_id}/shares"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.extole.io/v5/persons/{person_id}/shares")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.extole.io/v5/persons/{person_id}/shares")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"campaign_id": "<string>",
"channel": "<string>",
"created_date": "2025-10-24T02:00:00-07:00",
"data": {},
"id": "<string>",
"link": "<string>",
"message": "<string>",
"other_person_id": "<string>",
"partner_id": {
"name": "<string>",
"value": "<string>"
},
"program": "<string>",
"recipient": "<string>",
"shareable_code": "<string>",
"subject": "<string>"
}
]List person shares
Returns all share events for the specified person, sorted by created date in descending order. A share is recorded each time the person distributes a shareable link via a channel (social, email, etc.).
curl --request GET \
--url https://api.extole.io/v5/persons/{person_id}/shares \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v5/persons/{person_id}/shares"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v5/persons/{person_id}/shares', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.extole.io/v5/persons/{person_id}/shares",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.extole.io/v5/persons/{person_id}/shares"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.extole.io/v5/persons/{person_id}/shares")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.extole.io/v5/persons/{person_id}/shares")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"campaign_id": "<string>",
"channel": "<string>",
"created_date": "2025-10-24T02:00:00-07:00",
"data": {},
"id": "<string>",
"link": "<string>",
"message": "<string>",
"other_person_id": "<string>",
"partner_id": {
"name": "<string>",
"value": "<string>"
},
"program": "<string>",
"recipient": "<string>",
"shareable_code": "<string>",
"subject": "<string>"
}
]Authorizations
Path Parameters
The Extole unique profile identifier of this user at Extole.
Query Parameters
Optional program filter. Will include shares that match at least one of the programs.
Optional campaign id filter. Will include shares that match at least one of the campaign ids.
Optional program label filter. Will include shares that match at least one of the programs.
Optional data keys filter. Will include shares that match at least one of the data keys.
Optional filter for existence of specific data values. Will include shares that have at least one of the specified data name-value pair. Valid format is name:value.
Optional offset filter, defaults to 0.
Optional limit filter, defaults to 100.
Response
Successful response
Extole campaign id associated with this share.
Channel through which the share was sent (e.g. email, sms). Absent if not recorded.
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
Named data parameters attached to this share.
Show child attributes
Show child attributes
Extole-assigned unique identifier for this share.
Share link URL sent to the friend.
Message body included with the share. Absent if no message was sent.
Extole person id of the friend whose email matches recipient. Absent when the share has no recipient email or no person has that email.
Show child attributes
Show child attributes
Program key associated with this share.
Email address the share was sent to. Absent when the share has no recipient email.
Shareable code used to generate the share link.
Subject line of the share message. Absent for channels that do not have subjects.
Was this page helpful?
